<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.third.doordevice.mapper.InstructPublishLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="instructPublishLogResultMap" type="org.springblade.third.doordevice.entity.InstructPublishLog">
        <result column="id" property="id"/>
        <result column="status" property="status"/>
        <result column="create_time" property="createTime"/>
        <result column="serial_number" property="serialNumber"/>
        <result column="instruct_code" property="instructCode"/>
        <result column="exchange_name" property="exchangeName"/>
        <result column="instruct_describe" property="instructDescribe"/>
        <result column="publish_data" property="publishData"/>
        <result column="error_msg" property="errorMsg"/>
        <result column="last_modify_time" property="lastModifyTime"/>
        <result column="last_resend_time" property="lastResendTime"/>
        <result column="biz_status" property="bizStatus"/>
        <result column="card_no" property="cardNo"/>
        <result column="xq_name" property="xqName"/>
        <result column="show_content" property="showContent"/>
        <result column="handle_status" property="handleStatus"/>
        <result column="img_src" property="imgSrc"/>
        <result column="user_name" property="userName"/>
        <result column="unit_name" property="unitName"/>
        <result column="room_name" property="roomName"/>
    </resultMap>


    <select id="selectInstructPublishLogPage" resultMap="instructPublishLogResultMap">
        select * from third_instruct_publish_log where is_deleted = 0
    </select>

</mapper>
